BillKit/Docs Console
Webhook endpoints

Get webhook endpoint

Retrieve one webhook endpoint's configuration.

GET/v1/webhook_endpoints/{endpoint_id}
Operation get_webhook_endpoint · Scope webhook_endpoints:read · Spec snapshot 2026-09-13

Parameters

ParameterDescription
endpoint_idstring · pathrequiredNo description in the spec.

Returns

Returns a WebhookEndpointResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the webhook_endpoints:read scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/webhook_endpoints/we_9XKp2vQ1 \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "created": 1789392000,
  "description": "string",
  "enabled_events": [
    "string"
  ],
  "id": "we_9XKp2vQ1",
  "livemode": false,
  "object": "webhook_endpoint",
  "previous_secret_fingerprint": "string",
  "previous_secret_retired_at": 1789392000,
  "secret": "string",
  "secret_fingerprint": "string",
  "status": "string",
  "url": "https://acme.example/welcome"
}